# Packmangroup: Multimedia
# Packmanpackagename: emovix
# Packman: Rainer Lay


Name:           emovix
Version:        0.9.0
Release:        %mkrel 1
Packager:       MauRice <dalmagro@scarlet.be>
Vendor:         Mandriva
Distribution:	Mandriva 2009.0

Source0:        emovix-0.9.0.tar.gz

BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}

Summary:	a small linux distro to automatically play audio video cds
Summary(de):	Eine kleine Linux distro zum automatischen Abspielen von Audio oder Video CDs
License: 	GPL
Group: 		Applications/Multimedia
URL: 		http://movix.sourceforge.net/

%description
a micro Linux distro meant to be embedded in a CD together with all video/audio files you want, so that the CD will be able to boot and automagically play all of its own files. 

%description -l de
eMoviX ist eine kleine Linux-CD-Distribution, die alle Software enthlt um
  von CD zu booten; sie spielt automatisch jede Videodatei auf der CD ab.
  Die untersttzten Formate sind alle, die von MPlayer untersttzt werden,
  vor allem DivX aber auch AVI, MPEG, QuickTime, WMV, ASF, FLI und ein paar
  andere.
  Wenn Sie Untertiteldateien mit demselben Namen (also film.sub fr film.avi)
  und an derselben Position hinzufgen, werden diese automatisch angezeigt.

  Mit anderen Worten, wenn sie Videodateien und eMoviX auf dieselbe CD brennen,
  werden sie auf der CD nicht nur die Filme haben, sondern auch die notwendige
  Software um diesen PC zu booten und die Filme abzuspielen. Auf diese Weise
  knnen Sie die Filme in jedem PC abspielen, selbst wenn kein Betriebssystem
  (oder das falsche :-) ) auf diesem PC installiert ist (vorausgesetzt die
  PC-Hardware wird von Linux untersttzt).

  Natrlich knnen Sie nach wie vor die Filme auf der CD unter jedem anderen
  Betriebssystem abspielen, so dass Sie lediglich die ca. 8MB verlieren, die
  eMoviX auf der CD verbraucht.

%prep
%setup -q
./configure --prefix=%{_prefix} --exec-prefix=%{_prefix}

%build
%__make

%install
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}
%makeinstall
install -d ${RPM_BUILD_ROOT}%_datadir/%name
cd ${RPM_BUILD_ROOT}%_datadir/%name && %{__ln_s} translations boot-messages

%clean
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README* TODO
%_datadir/%name
%_bindir/*

%changelog
* Wed Apr 29 2009 Dal Magro Maurizio <mauriziodm@mandrivaclub.be>
- Build for Mandriva 2009.1

* Tue Nov 18 2008 Dal Magro Maurizio <dalmagro@scarlet.be> 2009.0mcnl
- Recompiled for Mandriva 2009.0

* Tue Oct 17 2007 Dal Magro Maurizio <dalmagro@scarlet.be> 2007mcnl
- Recompiled for Mandriva 2007

* Sun Sep 12 2004 Rainer Lay <rainer@links2linux.de> <0.9.0rc1>-<0.pm.1>
- added link, so k3b recognizes emovix

* Fri Dec  5 2003  <rainer@links2linux.de> 
- Initial build.


